<div class="miam-recipe-tags__container" *ngIf="recipePreviewLines?.length > 0" [ngStyle]="{'height.px': isListOpen ? 32 * rowCount : 24  }">
  <div class="miam-recipe-tags__container__list" >
    <div #tag class="miam-recipe-tags__list__badge" *ngFor="let recipeLine of recipePreviewLines, let i = index">
      <ng-miam-icon class="miam-recipe-tags__badge__icon" [iconName]='icon.Meal' (click)='toggleRecipe(recipeLine.id)'
        primaryColor='var(--m-color-white)'></ng-miam-icon>
      <span class="miam-recipe-tag__badge__text" (click)='toggleRecipe(recipeLine.id)'>{{recipeLine.title | ellipsis : 6}}</span>
    </div>
  </div>
  <div [ngClass]="{'miam-recipe-tags__container__toggle__hidden': !rowCount || wrappedItemsCount === 0 }" class="miam-recipe-tags__container__toggle" >
    <span  class="miam-recipe-tags__toggle__open" (click)='toggleList()'>
      {{ isListOpen ? '  ' : '+' +wrappedItemsCount}}</span>
      <div class="miam-recipe-tags__toggle__ligne"></div>
      <span class="miam-recipe-tags__toggle__close" [ngStyle]="{'opacity': isListOpen ? 1 : 0}" (click)='toggleList()'> 
        <ng-miam-icon [iconName]='icon.ChevronDown' width='24' height='24'  primaryColor='var(--m-color-white)'></ng-miam-icon>
      </span>
  </div>
</div>